Subject: Re: [PATCH 1/2] net: dsa: use DEVICE_ATTR_RW to declare temp1_max

From: Sergei Shtylyov <[email-masked]>
Date: Thu, 16 Apr 2015 21:55:49 +0300

Hello.

On 04/16/2015 09:38 PM, Vivien Didelot wrote:

> Since commit da4759c, sysfs will only use the permissions returned by

    Please also specify that commit's summary line in parens.

> is_visible, instead of OR'ing them with the default file mode.

> This allows us to declare temp1_max with the DEVICE_ATTR_RW macro and
> just return the desired permissions for the hwmon sysfs attributes in
> dsa_hwmon_attrs_visible.

> Also, allow temp1_max to be write-only if set_temp_limit is provided,
> but not get_temp_limit.

> Signed-off-by: Vivien Didelot <[email-masked]>

WBR, Sergei